<?php

	// アクセストークン
	$access_token = '' ;

	// SNSのID
	$sns_id = '' ;

	// 設定項目
	$params = array(
		'access_token' => $access_token ,	// アクセストークン
		'profile_ids[0]' => $sns_id ,		// 投稿するSNS(1つ目)
		'now' => true ,		// 即時投稿するか？
		'shorten' => true ,		// 自動リンクを有効にするか？
		'text' => 'Buffer APIのデモとして投稿いたしました。(' . date( 'm/d H:i' ) . ') 投稿元:https://syncer.jp/buffer-api-matome' ,		// テキスト内容
	) ;

	// リクエストURL
	$request_url = 'https://api.bufferapp.com/1/updates/create.json' ;

	// cURLでリクエスト
	$curl = curl_init() ;
	curl_setopt( $curl , CURLOPT_URL , $request_url ) ;
	curl_setopt( $curl , CURLOPT_CUSTOMREQUEST , 'POST' ) ;
	curl_setopt( $curl , CURLOPT_HEADER, 1 ) ; 
	curl_setopt( $curl , CURLOPT_SSL_VERIFYPEER , false ) ;
	curl_setopt( $curl , CURLOPT_RETURNTRANSFER , true ) ;
	curl_setopt( $curl , CURLOPT_POSTFIELDS , http_build_query( $params ) ) ;
	curl_setopt( $curl , CURLOPT_TIMEOUT , 5 ) ;
	$res1 = curl_exec( $curl ) ;
	$res2 = curl_getinfo( $curl ) ;
	curl_close( $curl ) ;

	// 取得したデータ
	$json = substr( $res1, $res2['header_size'] ) ;			// 取得したデータ(JSONなど)
	$header = substr( $res1, 0, $res2['header_size'] ) ;		// レスポンスヘッダー (検証に利用したい場合にどうぞ)

	// HTML用
	$html = '' ;

	// JSONデータをオブジェクト形式に変換する
	$obj = json_decode( $json ) ;

	// 実行結果の出力
	$html .= '<h2>実行結果</h2>' ;

	// エラー判定
	if( !$obj )
	{
		$html .= '<p>リクエストに失敗してしまいました…。設定をご確認下さい。</p>' ;
	}
	else
	{
		// インフォメーション
		$html .= '<p>リクエストの結果は次の通りです。SNSに投稿されているか、確認してみて下さい。</p>' ;

		// 各データの整理
		$success = $obj->success ;		// 成功判定
		$message = $obj->message ;		// メッセージ

		// ブラウザに出力
		$html .= '<dl>' ;
		$html .= 	'<dt>成功判定</dt>' ;
		$html .= 		'<dd>' . ( ( $success ) ? 'true' : 'false' ) . '</dd>' ;
		$html .= 	'<dt>メッセージ</dt>' ;
		$html .= 		'<dd><mark>' . $message . '</mark></dd>' ;
		$html .= '</dl>' ;
	}

	// 取得したデータ
	$html .= '<h2>取得したデータ</h2>' ;
	$html .= '<p>下記のデータを取得できました。</p>' ;
	$html .= 	'<h3>JSON</h3>' ;
	$html .= 	'<p><textarea rows="8">' . $json . '</textarea></p>' ;
	$html .= 	'<h3>レスポンスヘッダー</h3>' ;
	$html .= 	'<p><textarea rows="8">' . $header . '</textarea></p>' ;

	// アプリケーション連携の解除
	$html .= '<h2>アプリケーション連携の解除</h2>' ;
	$html .= '<p>このアプリケーションとの連携は、下記設定ページで解除することができます。</p>' ;
	$html .= '<p><a href="https://buffer.com/app/account/apps" target="_blank">https://buffer.com/app/account/apps</a></p>' ;

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>Buffer APIでエントリーを新規作成するサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/buffer-api-matome

	* 動作確認
	https://syncer.jp/buffer-api-matome/demo/post-entry.php

	* 最終更新日時
	2015/08/03 02:37

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/buffer-api-matome">配布元: Syncer</a></p>






</body>
</html>
