<?php

	// アクセストークン
	$access_token = '' ;

	// SNSのID
	$sns_id = '' ;

	// 登録する曜日
	$days = array( 'sun' , 'mon' , 'tue' , 'wed' , 'thu' , 'fri' , 'sat' , ) ;

	// 登録する時間
	$times = array( '00:00' , '00:30' , '01:00' , '01:30' , '02:00' , '02:30' , '03:00' , '03:30' , '04:00' , '04:30' , '05:00' , '05:30' , '06:00' , '06:30' , '07:00' , '07:30' , '08:00' , '08:30' , '09:00' , '09:30' , '10:00' , '10:30' , '11:00' , '11:30' , '12:00' , '12:30' , '13:00' , '13:30' , '14:00' , '14:30' , '15:00' , '15:30' , '16:00' , '16:30' , '17:00' , '17:30' , '18:00' , '18:30' , '19:00' , '19:30' , '20:00' , '20:30' , '21:00' , '21:30' , '22:00' , '22:30' , '23:00' , '23:30' ) ;

	// 設定項目
	$params = array(
		'access_token' => $access_token ,	// アクセストークン
	) ;

	// 曜日と時間をまとめてパラメータに追加する
	foreach( array( 'days' , 'times' ) as $val )
	{
		if( isset( ${ $val } ) && !empty( ${ $val } ) )
		{
			for( $i=0,$l=count( ${ $val } ) ; $l > $i ; $i++ )
			{
				$params[ 'schedules[0][' . $val . '][' . $i . ']' ] = ${ $val }[ $i ] ;
			}
		}
	}

	// リクエストURL
	$request_url = 'https://api.bufferapp.com/1/profiles/' . $sns_id . '/schedules/update.json' ;

	// cURLでリクエスト
	$curl = curl_init() ;
	curl_setopt( $curl , CURLOPT_URL , $request_url ) ;
	curl_setopt( $curl , CURLOPT_CUSTOMREQUEST , 'POST' ) ;
	curl_setopt( $curl , CURLOPT_HEADER, 1 ) ; 
	curl_setopt( $curl , CURLOPT_SSL_VERIFYPEER , false ) ;
	curl_setopt( $curl , CURLOPT_RETURNTRANSFER , true ) ;
	curl_setopt( $curl , CURLOPT_POSTFIELDS , http_build_query( $params ) ) ;
	curl_setopt( $curl , CURLOPT_TIMEOUT , 5 ) ;
	$res1 = curl_exec( $curl ) ;
	$res2 = curl_getinfo( $curl ) ;
	curl_close( $curl ) ;

	// 取得したデータ
	$json = substr( $res1, $res2['header_size'] ) ;			// 取得したデータ(JSONなど)
	$header = substr( $res1, 0, $res2['header_size'] ) ;		// レスポンスヘッダー (検証に利用したい場合にどうぞ)

	// HTML用
	$html = '' ;

	// JSONデータをオブジェクト形式に変換する
	$obj = json_decode( $json ) ;

	// 実行結果の出力
	$html .= '<h2>実行結果</h2>' ;

	// エラー判定
	if( !$obj )
	{
		$html .= '<p>リクエストに失敗してしまいました…。設定をご確認下さい。</p>' ;
	}
	else
	{
		// インフォメーション
		$html .= '<p>リクエストの結果は次の通りです。</p>' ;

		// 各データの整理
		$success = $obj->success ;		// 成功判定
		$message = $obj->message ;		// メッセージ

		// ブラウザに出力
		$html .= '<dl>' ;
		$html .= 	'<dt>成功判定</dt>' ;
		$html .= 		'<dd>' . ( ( $success ) ? 'true' : 'false' ) . '</dd>' ;
		$html .= 	'<dt>メッセージ</dt>' ;
		$html .= 		'<dd><mark>' . $message . '</mark></dd>' ;
		$html .= '</dl>' ;
	}

	// 取得したデータ
	$html .= '<h2>取得したデータ</h2>' ;
	$html .= '<p>下記のデータを取得できました。</p>' ;
	$html .= 	'<h3>JSON</h3>' ;
	$html .= 	'<p><textarea rows="8">' . $json . '</textarea></p>' ;
	$html .= 	'<h3>レスポンスヘッダー</h3>' ;
	$html .= 	'<p><textarea rows="8">' . $header . '</textarea></p>' ;

	// アプリケーション連携の解除
	$html .= '<h2>アプリケーション連携の解除</h2>' ;
	$html .= '<p>このアプリケーションとの連携は、下記設定ページで解除することができます。</p>' ;
	$html .= '<p><a href="https://buffer.com/app/account/apps" target="_blank">https://buffer.com/app/account/apps</a></p>' ;

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>Buffer APIでSNSの投稿スケジュールを更新するサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/buffer-api-matome

	* 動作確認
	https://syncer.jp/buffer-api-matome/demo/post-schedules.php

	* 最終更新日時
	2015/08/03 00:55

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/buffer-api-matome">配布元: Syncer</a></p>






</body>
</html>
